class puppetfactory::ubuntuimage (
  $puppetmaster,
) {

  # Ubuntu agent image
  file { '/var/docker/ubuntuagent/':
    ensure  => directory,
    recurse => true,
    source  => 'puppet:///modules/puppetfactory/ubuntu/',
    require => Class['docker'],
  }

  file { '/var/docker/ubuntuagent/Dockerfile':
    ensure  => present,
    content => epp('puppetfactory/ubuntu.dockerfile.epp',{
        'puppetmaster' => $puppetmaster,
      }),
    notify  => Docker::Image['ubuntuagent'],
  }

  docker::image { 'ubuntuagent':
    docker_dir => '/var/docker/ubuntuagent/',
    require    => File['/var/docker/ubuntuagent/Dockerfile'],
  }
}
